Subject: Algy's Herb News May

From: algy <[email-masked]>
Date: Thu, 16 May 1996 23:01:15 -0500

The May edition of Algy's Herb News with articles on St. John's Wort,
Midsummer's Eve, Ephedra, and Echinacea is now available for FREE at 
http://www.algy.com/news.html or by autoresponder - send blank email
to [email-masked]